## EXPORT_SPEC int ixmlNode_removeChild

## (IXML_Node* nodeptr,
IXML_Node* oldChild,
IXML_Node** returnNode )

> Removes a child from the list of children of a Node.

## Documentation

> Removes a child from the list of children of a Node. returnNode will contain the oldChild Node, appropriately removed from the tree (i.e. it will no longer have an owner document).

Parameters:
  nodeptr - The parent of the child to remove.
  oldChild - The child Node to remove.
  returnNode - Pointer to a Node to place the removed oldChild Node.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either nodeptr or oldChild is `NULL`.
  - `IXML_NO_MODIFICATION_ALLOWED_ERR`: nodeptr or its parent is read-only.
  - `IXML_NOT_FOUND_ERR`: oldChild is not among the children of nodeptr.

Alphabetic index

This page was generated with the help of DOC++.